Index: code/trunk/data/levels/old/CuboidSpaceStation.oxw
===================================================================
--- code/trunk/data/levels/old/CuboidSpaceStation.oxw	(revision 7463)
+++ code/trunk/data/levels/old/CuboidSpaceStation.oxw	(revision 7679)
@@ -1,8 +1,8 @@
 <?lua
-	include("hudtemplates3.oxo")
+	include("HUDTemplates3.oxo")
 ?>
 
 <?lua
-	include("templates/spaceship_assff.oxt")
+	include("templates/spaceshipAssff.oxt")
 ?>
 
Index: code/trunk/data/levels/old/physicsTest.oxw
===================================================================
--- code/trunk/data/levels/old/physicsTest.oxw	(revision 7679)
+++ code/trunk/data/levels/old/physicsTest.oxw	(revision 7679)
@@ -0,0 +1,19 @@
+<Ambient colourvalue="0.8, 0.8, 0.8" />
+<Skybox src="Orxonox/Starbox" />
+<SpaceShip camera="true" position="50,0,0" scale="10" yawpitchroll="0,-90,0" mesh="assff.mesh" maxSpeed="500" maxSideAndBackSpeed="50" maxRotation="1.0" transAcc="200" rotAcc="3.0" transDamp="75" rotDamp="1.0" />
+<Model position="2000,0,0" scale="10" mesh="tomato.mesh" yawpitchroll="-40,30,0" rotationAxis="1,0,0" rotationRate="-30"/>
+<Model position="0,2000,0" scale="10" mesh="tomato.mesh" yawpitchroll="-50,60,0" rotationAxis="1,0,0" rotationRate="-30"/>
+<Model position="0,0,2000" scale="10" mesh="tomato.mesh" yawpitchroll="-50,-30,0" rotationAxis="1,0,0" rotationRate="-30"/>
+<Model position="10000,16000,0" scale="100" mesh="DuBall1.mesh"/>
+<Model position="11400,16000,0" scale="60" mesh="DuBall2.mesh"/>
+
+<HelloBullet/>
+
+
+<?lua
+for i = 1, 226, 1
+do ?>
+  <Model position="<?lua print(math.random() * 40000 - 20000)?>, <?lua print(math.random() * 40000 - 20000) ?>, <?lua print(math.random() * 40000 - 20000) ?>" scale="<?lua print(math.random() * 250 + 20) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" rotationAxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationRate="<?lua print(math.random() * 30 + 15) ?>" />
+<?lua
+end
+?>
Index: code/trunk/data/levels/old/physicsTest2.oxw
===================================================================
--- code/trunk/data/levels/old/physicsTest2.oxw	(revision 7679)
+++ code/trunk/data/levels/old/physicsTest2.oxw	(revision 7679)
@@ -0,0 +1,280 @@
+<?lua
+  include("spaceshipTemplatesPhysics.oxw")
+?>
+<?lua
+  include("HUDTemplates3.oxo")
+?>
+
+<Level
+ name         = "Sample"
+ description  = "Just a few tests"
+>
+  <Scene
+   ambientlight = "0.5, 0.5, 0.5"
+   skybox       = "Orxonox/Starbox"
+   negativeWorldRange = "-100000, -100000, -100000"
+   positiveWorldRange = " 100000,  100000,  100000"
+   hasPhysics   = true
+  >
+      <!--SpawnPoint position="0,   0,  100"           spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <SpawnPoint position="0,   0, -700" yaw  =180 spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <SpawnPoint position="0, 300, -300" pitch=-90 spawnclass=SpaceShip pawndesign=spaceshipassff /-->
+
+    <!-- axes in ogre's origin of coordinate system for phsics engine testing purposes-->
+    <StaticEntity
+     position        = "0,0,0"
+     name            = "banana"
+     collisionType   = "static"
+     mass            = 1000
+    >
+      <attached>
+        <Model position="0,0,0" scale=100 mesh="plane.mesh" />
+        <Model position="0,-0.0001,0" roll=180 scale=100 mesh="plane.mesh" />
+      </attached>
+      <collisionShapes>
+        <PlaneCollisionShape name="thePlane" planeNormal="0,1,0" planeOffset=0 />
+      </collisionShapes>
+    </StaticEntity>
+
+    <!-- red sphere for phsics engine testing purposes-->
+    <!--StaticEntity position="40,0,0">
+      <attached>
+        <Model position="0,0,0" scale=1 mesh="sphere.mesh" />
+      </attached>
+    </StaticEntity-->
+
+    <!-- yellow cube for phsics engine testing purposes-->
+    <!--StaticEntity position="80,0,0">
+      <attached>
+        <Model position="0,0,0" scale=1 mesh="cube.mesh" />
+      </attached>
+    </StaticEntity-->
+
+    <MovableEntity
+     name            = "blubb"
+     position        = "-150, 20, -500"
+     collisionType   = "kinematic"
+     mass            = 10000
+     velocity        = "30, 0, 0"
+    >
+      <attached>
+        <Model name = "moedeli" position="0,0,0" scale=20 mesh="sphere.mesh" />
+        <StaticEntity name="hahaha" position="0,0,0" collisionType="static">
+          <collisionShapes>
+            <SphereCollisionShape name="firstSphere" radius=20/>
+          </collisionShapes>
+        </StaticEntity>
+      </attached>
+
+      <!--attached>
+        <SphereCollisionShape name = "secondSphere" radius=0.4 position="1,1,1"/>
+        <CompoundCollisionShape position="4,4,4">
+          <SphereCollisionShape name = "thirdSphere" radius=1.0/>
+        </CompoundCollisionShape>
+      </attached-->
+    </MovableEntity>
+
+    <MovableEntity
+     name            = "blubb2"
+     position        = "150, 30, -500"
+     collisionType   = "dynamic"
+     mass            = 10
+     velocity        = "-30, 0, 0"
+    >
+      <attached>
+        <Model position="0,0,0" scale=20 mesh="sphere.mesh" />
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape name = "secondSphere" radius=20 position="0,0,0"/>
+      </collisionShapes>
+    </MovableEntity>
+
+    <StaticEntity
+     name            = "blubbStatic"
+     position        = "0, 15, -500"
+     collisionType   = "Static"
+     mass            = 10
+    >
+      <attached>
+        <Model position="0,0,0" scale=20 mesh="sphere.mesh" />
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape name = "secondSphere" radius=20 position="0,0,0"/>
+      </collisionShapes>
+    </StaticEntity>
+
+    <!--SpawnPoint position="0,   0,  100"           spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <SpawnPoint position="0,   0, -700" yaw  =180 spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <SpawnPoint position="0, 300, -300" pitch=-90 spawnclass=SpaceShip pawndesign=spaceshipassff /-->
+
+    <MovableEntity
+     name            = "apple1"
+     position        = "-150, 80, -500"
+     collisionType   = "dynamic"
+     mass            = 10
+     velocity        = "30, 0, 0"
+    >
+      <attached>
+        <Model position="0,0,0" scale=20 mesh="sphere.mesh" />
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape name = "secondSphere" radius=20 position="0,0,0"/>
+      </collisionShapes>
+    </MovableEntity>
+
+    <MovableEntity
+     name            = "apple2"
+     position        = "50, 80, -500"
+     collisionType   = "dynamic"
+     mass            = 10
+     velocity        = "-30, 0, 0"
+    >
+      <attached>
+        <Model position="0,0,0" scale=20 mesh="sphere.mesh" />
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape name = "secondSphere" radius=20 position="0,0,0"/>
+        <SphereCollisionShape name = "secondSphere" radius=20 position="1,0,0"/>
+      </collisionShapes>
+    </MovableEntity>
+
+    <MovableEntity
+     name            = "apple3"
+     position        = "150, 80, -500"
+     collisionType   = "dynamic"
+     mass            = 10
+     velocity        = "-30, 0, 0"
+    >
+      <attached>
+        <Model position="0,0,0" scale=20 mesh="sphere.mesh" />
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape name = "secondSphere" radius=20 position="0,0,0"/>
+      </collisionShapes>
+    </MovableEntity>
+
+    <!--MovableEntity scale=1.5 position="0,0,-300" velocity="0,0,0" rotationaxis="0,1,0" rotationrate=90>
+      <events>
+        <activity>
+          <DistanceTrigger position="0,0,-300" distance=50 target="ControllableEntity" invert=1 />
+        </activity>
+      </events>
+      <attached>
+        <Model position="0,0,0" scale=10 mesh="ast1.mesh" />
+        <StaticEntity position="0,0,100">
+          <attached>
+            <Model position="0,0,0" scale=6 mesh="ast1.mesh" />
+            <MovableEntity position="0,0,0" velocity="0,0,0" rotationaxis="0,0,1" rotationrate=500>
+              <attached>
+                <Model position="0,35,0" scale=2 mesh="ast1.mesh" />
+                <Model position="0,-35,0" scale=2 mesh="ast1.mesh" />
+                <Model position="35,0,0" scale=2 mesh="ast1.mesh">
+                  <attached>
+                    <ParticleEmitter position="0,0,0" source="Orxonox/fire3" />
+                  </attached>
+                </Model>
+                <Model position="-35,0,0" scale=2 mesh="ast1.mesh">
+                  <attached>
+                    <ParticleEmitter position="0,0,0" source="Orxonox/fire3" />
+                  </attached>
+                </Model>
+              </attached>
+            </MovableEntity>
+          </attached>
+        </StaticEntity>
+        <MovableEntity position="0,0,-100" velocity="0,0,0" rotationaxis="0,1,0" rotationrate=200>
+          <attached>
+            <ParticleEmitter position="0,0,0" source="Orxonox/fire3" />
+            <Model position="0,0,0" scale=6 mesh="ast1.mesh" />
+            <Model position="0,0,-50" scale=3 mesh="ast1.mesh" />
+            <Model position="0,0,50" scale=3 mesh="ast1.mesh" />
+          </attached>
+        </MovableEntity>
+      </attached>
+    </MovableEntity-->
+
+
+    <!--ParticleSpawner position="-500,0,-200" source="Orxonox/BigExplosion1part1" lifetime=3.0 loop=1 />
+    <ParticleSpawner position="-500,0,-300" source="Orxonox/BigExplosion1part1" lifetime=3.0 loop=1 />
+    <ParticleSpawner position="-500,0,-400" source="Orxonox/BigExplosion1part1" lifetime=3.0 loop=1 />
+    <ParticleSpawner position="-500,0,-500" source="Orxonox/BigExplosion1part1" lifetime=2.5 loop=1 />
+    <ParticleSpawner position="-500,0,-600" source="Orxonox/BigExplosion1part1" lifetime=2.5 loop=1 /-->
+
+
+    <ParticleSpawner position="0,20,100" source="Orxonox/BigExplosion1part3" lifetime=2.0 loop=0 autostart=0>
+      <events>
+        <spawn>
+          <EventTrigger delay=1>
+            <events>
+              <trigger>
+                <SpawnPoint position="0,20,100" spawnclass=SpaceShip pawndesign=spaceshipassff />
+              </trigger>
+            </events>
+          </EventTrigger>
+        </spawn>
+      </events>
+    </ParticleSpawner>
+
+
+    <!--ParticleEmitter name=fireright position="200,0,0" source="Orxonox/fire3" active=false>
+      <events>
+        <activity>
+          <DistanceTrigger name=firetrigger1 position="200,0,0" distance=100 target="ControllableEntity" />
+        </activity>
+      </events>
+    </ParticleEmitter>
+    <ParticleEmitter name=fireleft position="-200,0,0" source="Orxonox/fire3" active=false>
+      <events>
+        <activity>
+          <DistanceTrigger name=firetrigger2 position="-200,0,0" distance=100 target="ControllableEntity" />
+        </activity>
+      </events>
+    </ParticleEmitter>
+    <ParticleEmitter name=firecenter position="0,0,0" source="Orxonox/fire3" active=false>
+      <events>
+        <activity>
+          <EventListener event=firetrigger1 />
+          <EventListener event=firetrigger2 />
+        </activity>
+      </events>
+    </ParticleEmitter-->
+
+
+    <!--EventDispatcher>
+      <targets>
+        <EventTarget target=fireright />
+        <EventTarget target=firecenter />
+        <EventTarget target=fireleft />
+      </targets>
+      <events>
+        <activity>
+          <DistanceTrigger position="0,0,200" distance=100 target="ControllableEntity" />
+        </activity>
+      </events>
+    </EventDispatcher-->
+
+
+    <!--Model position="0,50,0" scale=3 mesh="assff.mesh">
+      <events>
+        <visibility>
+          <DistanceTrigger position="0,50,0" distance=50 target="ControllableEntity" invert=1 />
+        </visibility>
+      </events>
+    </Model-->
+
+
+    <Model position="0,0,200" scale=10 mesh="ast2.mesh" shadow=true />
+    <!--Model position="0,0,-200" scale=10 mesh="ast1.mesh" shadow=true /-->
+    <Model position="0,200,0" scale=10 mesh="ast3.mesh" shadow=true />
+    <Model position="0,-200,0" scale=10 mesh="ast4.mesh" shadow=true />
+    <Model position="200,0,0" scale=10 mesh="ast5.mesh" shadow=false />
+    <Model position="-200,0,0" scale=10 mesh="ast6.mesh" shadow=false />
+
+    <Model position="1000,-200,0" scale3D="1,100,100" mesh="ast1.mesh" />
+
+    <Model position="0, 0,-100" pitch=-90 roll=-90 scale=4 mesh="assff.mesh" />
+    <!--Model position="0,100,-100" pitch=-90 roll=-90 scale=4 mesh="pirate.mesh" />
+    <Model position="0,300,-100" pitch=-90 roll=-90 scale=4 mesh="spacecruiser.mesh" /-->
+
+  </Scene>
+</Level>
Index: code/trunk/data/levels/old/physicstest.oxw
===================================================================
--- code/trunk/data/levels/old/physicstest.oxw	(revision 7463)
+++ 	(revision )
@@ -1,19 +1,0 @@
-<Ambient colourvalue="0.8, 0.8, 0.8" />
-<Skybox src="Orxonox/Starbox" />
-<SpaceShip camera="true" position="50,0,0" scale="10" yawpitchroll="0,-90,0" mesh="assff.mesh" maxSpeed="500" maxSideAndBackSpeed="50" maxRotation="1.0" transAcc="200" rotAcc="3.0" transDamp="75" rotDamp="1.0" />
-<Model position="2000,0,0" scale="10" mesh="tomato.mesh" yawpitchroll="-40,30,0" rotationAxis="1,0,0" rotationRate="-30"/>
-<Model position="0,2000,0" scale="10" mesh="tomato.mesh" yawpitchroll="-50,60,0" rotationAxis="1,0,0" rotationRate="-30"/>
-<Model position="0,0,2000" scale="10" mesh="tomato.mesh" yawpitchroll="-50,-30,0" rotationAxis="1,0,0" rotationRate="-30"/>
-<Model position="10000,16000,0" scale="100" mesh="DuBall1.mesh"/>
-<Model position="11400,16000,0" scale="60" mesh="DuBall2.mesh"/>
-
-<HelloBullet/>
-
-
-<?lua
-for i = 1, 226, 1
-do ?>
-  <Model position="<?lua print(math.random() * 40000 - 20000)?>, <?lua print(math.random() * 40000 - 20000) ?>, <?lua print(math.random() * 40000 - 20000) ?>" scale="<?lua print(math.random() * 250 + 20) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" rotationAxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationRate="<?lua print(math.random() * 30 + 15) ?>" />
-<?lua
-end
-?>
Index: code/trunk/data/levels/old/physicstest2.oxw
===================================================================
--- code/trunk/data/levels/old/physicstest2.oxw	(revision 7463)
+++ 	(revision )
@@ -1,280 +1,0 @@
-<?lua
-  include("spaceshiptemplates_physics.oxw")
-?>
-<?lua
-  include("hudtemplates3.oxo")
-?>
-
-<Level
- name         = "Sample"
- description  = "Just a few tests"
->
-  <Scene
-   ambientlight = "0.5, 0.5, 0.5"
-   skybox       = "Orxonox/Starbox"
-   negativeWorldRange = "-100000, -100000, -100000"
-   positiveWorldRange = " 100000,  100000,  100000"
-   hasPhysics   = true
-  >
-      <!--SpawnPoint position="0,   0,  100"           spawnclass=SpaceShip pawndesign=spaceshipassff />
-    <SpawnPoint position="0,   0, -700" yaw  =180 spawnclass=SpaceShip pawndesign=spaceshipassff />
-    <SpawnPoint position="0, 300, -300" pitch=-90 spawnclass=SpaceShip pawndesign=spaceshipassff /-->
-
-    <!-- axes in ogre's origin of coordinate system for phsics engine testing purposes-->
-    <StaticEntity
-     position        = "0,0,0"
-     name            = "banana"
-     collisionType   = "static"
-     mass            = 1000
-    >
-      <attached>
-        <Model position="0,0,0" scale=100 mesh="plane.mesh" />
-        <Model position="0,-0.0001,0" roll=180 scale=100 mesh="plane.mesh" />
-      </attached>
-      <collisionShapes>
-        <PlaneCollisionShape name="thePlane" planeNormal="0,1,0" planeOffset=0 />
-      </collisionShapes>
-    </StaticEntity>
-
-    <!-- red sphere for phsics engine testing purposes-->
-    <!--StaticEntity position="40,0,0">
-      <attached>
-        <Model position="0,0,0" scale=1 mesh="sphere.mesh" />
-      </attached>
-    </StaticEntity-->
-
-    <!-- yellow cube for phsics engine testing purposes-->
-    <!--StaticEntity position="80,0,0">
-      <attached>
-        <Model position="0,0,0" scale=1 mesh="cube.mesh" />
-      </attached>
-    </StaticEntity-->
-
-    <MovableEntity
-     name            = "blubb"
-     position        = "-150, 20, -500"
-     collisionType   = "kinematic"
-     mass            = 10000
-     velocity        = "30, 0, 0"
-    >
-      <attached>
-        <Model name = "moedeli" position="0,0,0" scale=20 mesh="sphere.mesh" />
-        <StaticEntity name="hahaha" position="0,0,0" collisionType="static">
-          <collisionShapes>
-            <SphereCollisionShape name="firstSphere" radius=20/>
-          </collisionShapes>
-        </StaticEntity>
-      </attached>
-
-      <!--attached>
-        <SphereCollisionShape name = "secondSphere" radius=0.4 position="1,1,1"/>
-        <CompoundCollisionShape position="4,4,4">
-          <SphereCollisionShape name = "thirdSphere" radius=1.0/>
-        </CompoundCollisionShape>
-      </attached-->
-    </MovableEntity>
-
-    <MovableEntity
-     name            = "blubb2"
-     position        = "150, 30, -500"
-     collisionType   = "dynamic"
-     mass            = 10
-     velocity        = "-30, 0, 0"
-    >
-      <attached>
-        <Model position="0,0,0" scale=20 mesh="sphere.mesh" />
-      </attached>
-      <collisionShapes>
-        <SphereCollisionShape name = "secondSphere" radius=20 position="0,0,0"/>
-      </collisionShapes>
-    </MovableEntity>
-
-    <StaticEntity
-     name            = "blubbStatic"
-     position        = "0, 15, -500"
-     collisionType   = "Static"
-     mass            = 10
-    >
-      <attached>
-        <Model position="0,0,0" scale=20 mesh="sphere.mesh" />
-      </attached>
-      <collisionShapes>
-        <SphereCollisionShape name = "secondSphere" radius=20 position="0,0,0"/>
-      </collisionShapes>
-    </StaticEntity>
-
-    <!--SpawnPoint position="0,   0,  100"           spawnclass=SpaceShip pawndesign=spaceshipassff />
-    <SpawnPoint position="0,   0, -700" yaw  =180 spawnclass=SpaceShip pawndesign=spaceshipassff />
-    <SpawnPoint position="0, 300, -300" pitch=-90 spawnclass=SpaceShip pawndesign=spaceshipassff /-->
-
-    <MovableEntity
-     name            = "apple1"
-     position        = "-150, 80, -500"
-     collisionType   = "dynamic"
-     mass            = 10
-     velocity        = "30, 0, 0"
-    >
-      <attached>
-        <Model position="0,0,0" scale=20 mesh="sphere.mesh" />
-      </attached>
-      <collisionShapes>
-        <SphereCollisionShape name = "secondSphere" radius=20 position="0,0,0"/>
-      </collisionShapes>
-    </MovableEntity>
-
-    <MovableEntity
-     name            = "apple2"
-     position        = "50, 80, -500"
-     collisionType   = "dynamic"
-     mass            = 10
-     velocity        = "-30, 0, 0"
-    >
-      <attached>
-        <Model position="0,0,0" scale=20 mesh="sphere.mesh" />
-      </attached>
-      <collisionShapes>
-        <SphereCollisionShape name = "secondSphere" radius=20 position="0,0,0"/>
-        <SphereCollisionShape name = "secondSphere" radius=20 position="1,0,0"/>
-      </collisionShapes>
-    </MovableEntity>
-
-    <MovableEntity
-     name            = "apple3"
-     position        = "150, 80, -500"
-     collisionType   = "dynamic"
-     mass            = 10
-     velocity        = "-30, 0, 0"
-    >
-      <attached>
-        <Model position="0,0,0" scale=20 mesh="sphere.mesh" />
-      </attached>
-      <collisionShapes>
-        <SphereCollisionShape name = "secondSphere" radius=20 position="0,0,0"/>
-      </collisionShapes>
-    </MovableEntity>
-
-    <!--MovableEntity scale=1.5 position="0,0,-300" velocity="0,0,0" rotationaxis="0,1,0" rotationrate=90>
-      <events>
-        <activity>
-          <DistanceTrigger position="0,0,-300" distance=50 target="ControllableEntity" invert=1 />
-        </activity>
-      </events>
-      <attached>
-        <Model position="0,0,0" scale=10 mesh="ast1.mesh" />
-        <StaticEntity position="0,0,100">
-          <attached>
-            <Model position="0,0,0" scale=6 mesh="ast1.mesh" />
-            <MovableEntity position="0,0,0" velocity="0,0,0" rotationaxis="0,0,1" rotationrate=500>
-              <attached>
-                <Model position="0,35,0" scale=2 mesh="ast1.mesh" />
-                <Model position="0,-35,0" scale=2 mesh="ast1.mesh" />
-                <Model position="35,0,0" scale=2 mesh="ast1.mesh">
-                  <attached>
-                    <ParticleEmitter position="0,0,0" source="Orxonox/fire3" />
-                  </attached>
-                </Model>
-                <Model position="-35,0,0" scale=2 mesh="ast1.mesh">
-                  <attached>
-                    <ParticleEmitter position="0,0,0" source="Orxonox/fire3" />
-                  </attached>
-                </Model>
-              </attached>
-            </MovableEntity>
-          </attached>
-        </StaticEntity>
-        <MovableEntity position="0,0,-100" velocity="0,0,0" rotationaxis="0,1,0" rotationrate=200>
-          <attached>
-            <ParticleEmitter position="0,0,0" source="Orxonox/fire3" />
-            <Model position="0,0,0" scale=6 mesh="ast1.mesh" />
-            <Model position="0,0,-50" scale=3 mesh="ast1.mesh" />
-            <Model position="0,0,50" scale=3 mesh="ast1.mesh" />
-          </attached>
-        </MovableEntity>
-      </attached>
-    </MovableEntity-->
-
-
-    <!--ParticleSpawner position="-500,0,-200" source="Orxonox/BigExplosion1part1" lifetime=3.0 loop=1 />
-    <ParticleSpawner position="-500,0,-300" source="Orxonox/BigExplosion1part1" lifetime=3.0 loop=1 />
-    <ParticleSpawner position="-500,0,-400" source="Orxonox/BigExplosion1part1" lifetime=3.0 loop=1 />
-    <ParticleSpawner position="-500,0,-500" source="Orxonox/BigExplosion1part1" lifetime=2.5 loop=1 />
-    <ParticleSpawner position="-500,0,-600" source="Orxonox/BigExplosion1part1" lifetime=2.5 loop=1 /-->
-
-
-    <ParticleSpawner position="0,20,100" source="Orxonox/BigExplosion1part3" lifetime=2.0 loop=0 autostart=0>
-      <events>
-        <spawn>
-          <EventTrigger delay=1>
-            <events>
-              <trigger>
-                <SpawnPoint position="0,20,100" spawnclass=SpaceShip pawndesign=spaceshipassff />
-              </trigger>
-            </events>
-          </EventTrigger>
-        </spawn>
-      </events>
-    </ParticleSpawner>
-
-
-    <!--ParticleEmitter name=fireright position="200,0,0" source="Orxonox/fire3" active=false>
-      <events>
-        <activity>
-          <DistanceTrigger name=firetrigger1 position="200,0,0" distance=100 target="ControllableEntity" />
-        </activity>
-      </events>
-    </ParticleEmitter>
-    <ParticleEmitter name=fireleft position="-200,0,0" source="Orxonox/fire3" active=false>
-      <events>
-        <activity>
-          <DistanceTrigger name=firetrigger2 position="-200,0,0" distance=100 target="ControllableEntity" />
-        </activity>
-      </events>
-    </ParticleEmitter>
-    <ParticleEmitter name=firecenter position="0,0,0" source="Orxonox/fire3" active=false>
-      <events>
-        <activity>
-          <EventListener event=firetrigger1 />
-          <EventListener event=firetrigger2 />
-        </activity>
-      </events>
-    </ParticleEmitter-->
-
-
-    <!--EventDispatcher>
-      <targets>
-        <EventTarget target=fireright />
-        <EventTarget target=firecenter />
-        <EventTarget target=fireleft />
-      </targets>
-      <events>
-        <activity>
-          <DistanceTrigger position="0,0,200" distance=100 target="ControllableEntity" />
-        </activity>
-      </events>
-    </EventDispatcher-->
-
-
-    <!--Model position="0,50,0" scale=3 mesh="assff.mesh">
-      <events>
-        <visibility>
-          <DistanceTrigger position="0,50,0" distance=50 target="ControllableEntity" invert=1 />
-        </visibility>
-      </events>
-    </Model-->
-
-
-    <Model position="0,0,200" scale=10 mesh="ast2.mesh" shadow=true />
-    <!--Model position="0,0,-200" scale=10 mesh="ast1.mesh" shadow=true /-->
-    <Model position="0,200,0" scale=10 mesh="ast3.mesh" shadow=true />
-    <Model position="0,-200,0" scale=10 mesh="ast4.mesh" shadow=true />
-    <Model position="200,0,0" scale=10 mesh="ast5.mesh" shadow=false />
-    <Model position="-200,0,0" scale=10 mesh="ast6.mesh" shadow=false />
-
-    <Model position="1000,-200,0" scale3D="1,100,100" mesh="ast1.mesh" />
-
-    <Model position="0, 0,-100" pitch=-90 roll=-90 scale=4 mesh="assff.mesh" />
-    <!--Model position="0,100,-100" pitch=-90 roll=-90 scale=4 mesh="pirate.mesh" />
-    <Model position="0,300,-100" pitch=-90 roll=-90 scale=4 mesh="spacecruiser.mesh" /-->
-
-  </Scene>
-</Level>
Index: code/trunk/data/levels/old/planetTest.oxw
===================================================================
--- code/trunk/data/levels/old/planetTest.oxw	(revision 7679)
+++ code/trunk/data/levels/old/planetTest.oxw	(revision 7679)
@@ -0,0 +1,38 @@
+<?lua
+  include("HUDTemplates3.oxo")
+?>
+
+<?lua
+  include("templates/spaceshipAssff.oxt")
+?>
+
+<Level
+ name         = "Sample"
+ description  = "Just a few tests"
+>
+  <Scene
+   ambientlight = "0.5, 0.5, 0.5"
+   skybox       = "Orxonox/Starbox"
+  >
+
+    <ParticleSpawner position="0,0,100" source="Orxonox/BigExplosion1part3" lifetime=2.0 loop=0 autostart=0>
+      <events>
+        <spawn>
+          <EventTrigger delay=1>
+            <events>
+              <trigger>
+                <SpawnPoint position="0,0,100" spawnclass=SpaceShip pawndesign=spaceshipassff />
+              </trigger>
+            </events>
+          </EventTrigger>
+        </spawn>
+      </events>
+    </ParticleSpawner>
+
+
+    <Planet position="2500,0,-9000" scale=1000 pitch=-90 mesh="earth.mesh" rotationaxis="0,0,1" rotationrate="0.1" atmospheresize=130.0f imagesize=1024.0f />
+    <Planet position="0,0,-5001" scale=1000 pitch=-90 mesh="iceplanet.mesh" atmosphere="atmosphere1" rotationaxis="1,1,0" rotationrate="1" atmospheresize=224.0f imagesize=1024.0f />
+    <Model position="0, 0,-100" pitch=-90 roll=-90 scale=4 mesh="assff.mesh" />
+
+  </Scene>
+</Level>
Index: code/trunk/data/levels/old/planettest.oxw
===================================================================
--- code/trunk/data/levels/old/planettest.oxw	(revision 7463)
+++ 	(revision )
@@ -1,38 +1,0 @@
-<?lua
-  include("hudtemplates3.oxo")
-?>
-
-<?lua
-  include("templates/spaceship_assff.oxt")
-?>
-
-<Level
- name         = "Sample"
- description  = "Just a few tests"
->
-  <Scene
-   ambientlight = "0.5, 0.5, 0.5"
-   skybox       = "Orxonox/Starbox"
-  >
-
-    <ParticleSpawner position="0,0,100" source="Orxonox/BigExplosion1part3" lifetime=2.0 loop=0 autostart=0>
-      <events>
-        <spawn>
-          <EventTrigger delay=1>
-            <events>
-              <trigger>
-                <SpawnPoint position="0,0,100" spawnclass=SpaceShip pawndesign=spaceshipassff />
-              </trigger>
-            </events>
-          </EventTrigger>
-        </spawn>
-      </events>
-    </ParticleSpawner>
-
-
-    <Planet position="2500,0,-9000" scale=1000 pitch=-90 mesh="earth.mesh" rotationaxis="0,0,1" rotationrate="0.1" atmospheresize=130.0f imagesize=1024.0f />
-    <Planet position="0,0,-5001" scale=1000 pitch=-90 mesh="iceplanet.mesh" atmosphere="atmosphere1" rotationaxis="1,1,0" rotationrate="1" atmospheresize=224.0f imagesize=1024.0f />
-    <Model position="0, 0,-100" pitch=-90 roll=-90 scale=4 mesh="assff.mesh" />
-
-  </Scene>
-</Level>
Index: code/trunk/data/levels/old/presentationLOD.oxw
===================================================================
--- code/trunk/data/levels/old/presentationLOD.oxw	(revision 7463)
+++ code/trunk/data/levels/old/presentationLOD.oxw	(revision 7679)
@@ -1,11 +1,11 @@
 <?lua
   include("stats.oxo")
-  include("hudtemplates3.oxo")
-  include("templates/lodinformation.oxt")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
 ?>
 
 <?lua
-  include("templates/spaceship_assff.oxt")
-  include("templates/spaceship_pirate.oxt")
+  include("templates/spaceshipAssff.oxt")
+  include("templates/spaceshipPirate.oxt")
 ?>
 
Index: code/trunk/data/levels/old/presentationPhysics.oxw
===================================================================
--- code/trunk/data/levels/old/presentationPhysics.oxw	(revision 7679)
+++ code/trunk/data/levels/old/presentationPhysics.oxw	(revision 7679)
@@ -0,0 +1,109 @@
+<?lua
+  include("HUDTemplates3.oxo")
+  include("stats.oxo")
+  include("templates/spaceshipAssff.oxt")
+  math.randomseed(344)
+?>
+
+<Level
+ name         = "Physics"
+ description  = "Just a few tests"
+>
+  <Scene
+   ambientlight = "0.8, 0.8, 0.8"
+   skybox       = "Orxonox/skypanoramagen1"
+   gravity      = "0, -10, 0"
+  >
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+
+    <StaticEntity
+     position        = "0,0,0"
+     name            = "floor"
+     collisionType   = "static"
+     friction        = 1
+    >
+      <attached>
+        <Model position="0,0,0" scale=100 mesh="plane.mesh" />
+        <Model position="0,-0.0001,0" roll=180 scale=100 mesh="plane.mesh" />
+      </attached>
+      <collisionShapes>
+        <PlaneCollisionShape planeNormal="0,1,0" planeOffset=0 />
+      </collisionShapes>
+    </StaticEntity>
+
+    <MovableEntity
+     position        = "0,250,500"
+     rotationaxis    = "1, 1, 1"
+     rotationrate    = 360
+     velocity        = "0, 0, -80"
+     name            = "ship"
+     collisionType   = "dynamic"
+     friction        = 0.5
+     mass            = 500
+     restitution     = 0
+    >
+      <attached>
+        <Model position="0,0,0" yaw=90 pitch=-90 roll=0 scale=4 mesh="assff.mesh" />
+        <BlinkingBillboard position="17,-1.5,0" material="Examples/Flare" colour="1.0, 0.5, 0.3" amplitude=0.1 frequency=0.5 quadratic=1 />
+        <BlinkingBillboard position="-17,-1.5,0" material="Examples/Flare" colour="0.5, 1.0, 0.3" amplitude=0.1 frequency=0.5 phase=180 quadratic=1 />
+
+        <!--Model position="0,0,0" yaw=90 pitch=-90 roll=0 scale=4 mesh="assff.mesh" />
+        <Model position="0,0,0" scale3D="10, 3, 5" mesh="cube.mesh" />
+        <Model position="13,-1.3,0" scale3D="3, 1, 2" mesh="cube.mesh" />
+        <Model position="-13,-1.3,0" scale3D="3, 1, 2" mesh="cube.mesh" />
+        <Model position="0,0,7" scale3D="3, 2, 2" mesh="cube.mesh" />
+        <Model position="0,0.1,-11" scale3D="2.2, 1.8, 6" mesh="cube.mesh" />
+        <Model position="0,0.1,-19" scale3D="1.4, 1, 2" mesh="cube.mesh" /-->
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
+        <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
+        <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
+        <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
+        <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
+        <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
+      </collisionShapes>
+    </MovableEntity>
+
+    <?lua
+    for i = -20, 20, 8
+    do
+      for i2 = -20, 20, 8
+      do
+        for i3 = -20, 20, 8
+        do ?>
+        <MovableEntity
+         position="<?lua print(i)?>, <?lua print(i3 + 250)?>, <?lua print(i2) ?>"
+         collisionType = "dynamic"
+         mass = 1
+         restitution = 0
+         friction = 0.5
+        >
+          <attached>
+            <Model position="0,0,0" scale=2 mesh="cube.mesh" />
+          </attached>
+          <collisionShapes>
+            <BoxCollisionShape halfExtents="2, 2, 2" />
+          </collisionShapes>
+        </MovableEntity>
+    <?lua
+        end
+      end
+    end
+    ?>
+
+    <ParticleSpawner position="-100,170,30" source="Orxonox/BigExplosion1part3" lifetime=2.0 loop=0 autostart=0>
+      <events>
+        <spawn>
+          <EventTrigger delay=1>
+            <events>
+              <trigger>
+                <SpawnPoint position="-100,170,30" spawnclass=SpaceShip pawndesign=spaceshipassff />
+              </trigger>
+            </events>
+          </EventTrigger>
+        </spawn>
+      </events>
+    </ParticleSpawner>
+  </Scene>
+</Level>
Index: code/trunk/data/levels/old/presentation_physics.oxw
===================================================================
--- code/trunk/data/levels/old/presentation_physics.oxw	(revision 7463)
+++ 	(revision )
@@ -1,109 +1,0 @@
-<?lua
-  include("hudtemplates3.oxo")
-  include("stats.oxo")
-  include("templates/spaceship_assff.oxt")
-  math.randomseed(344)
-?>
-
-<Level
- name         = "Physics"
- description  = "Just a few tests"
->
-  <Scene
-   ambientlight = "0.8, 0.8, 0.8"
-   skybox       = "Orxonox/skypanoramagen1"
-   gravity      = "0, -10, 0"
-  >
-    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
-
-    <StaticEntity
-     position        = "0,0,0"
-     name            = "floor"
-     collisionType   = "static"
-     friction        = 1
-    >
-      <attached>
-        <Model position="0,0,0" scale=100 mesh="plane.mesh" />
-        <Model position="0,-0.0001,0" roll=180 scale=100 mesh="plane.mesh" />
-      </attached>
-      <collisionShapes>
-        <PlaneCollisionShape planeNormal="0,1,0" planeOffset=0 />
-      </collisionShapes>
-    </StaticEntity>
-
-    <MovableEntity
-     position        = "0,250,500"
-     rotationaxis    = "1, 1, 1"
-     rotationrate    = 360
-     velocity        = "0, 0, -80"
-     name            = "ship"
-     collisionType   = "dynamic"
-     friction        = 0.5
-     mass            = 500
-     restitution     = 0
-    >
-      <attached>
-        <Model position="0,0,0" yaw=90 pitch=-90 roll=0 scale=4 mesh="assff.mesh" />
-        <BlinkingBillboard position="17,-1.5,0" material="Examples/Flare" colour="1.0, 0.5, 0.3" amplitude=0.1 frequency=0.5 quadratic=1 />
-        <BlinkingBillboard position="-17,-1.5,0" material="Examples/Flare" colour="0.5, 1.0, 0.3" amplitude=0.1 frequency=0.5 phase=180 quadratic=1 />
-
-        <!--Model position="0,0,0" yaw=90 pitch=-90 roll=0 scale=4 mesh="assff.mesh" />
-        <Model position="0,0,0" scale3D="10, 3, 5" mesh="cube.mesh" />
-        <Model position="13,-1.3,0" scale3D="3, 1, 2" mesh="cube.mesh" />
-        <Model position="-13,-1.3,0" scale3D="3, 1, 2" mesh="cube.mesh" />
-        <Model position="0,0,7" scale3D="3, 2, 2" mesh="cube.mesh" />
-        <Model position="0,0.1,-11" scale3D="2.2, 1.8, 6" mesh="cube.mesh" />
-        <Model position="0,0.1,-19" scale3D="1.4, 1, 2" mesh="cube.mesh" /-->
-      </attached>
-      <collisionShapes>
-        <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
-        <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
-        <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
-        <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
-        <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
-        <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
-      </collisionShapes>
-    </MovableEntity>
-
-    <?lua
-    for i = -20, 20, 8
-    do
-      for i2 = -20, 20, 8
-      do
-        for i3 = -20, 20, 8
-        do ?>
-        <MovableEntity
-         position="<?lua print(i)?>, <?lua print(i3 + 250)?>, <?lua print(i2) ?>"
-         collisionType = "dynamic"
-         mass = 1
-         restitution = 0
-         friction = 0.5
-        >
-          <attached>
-            <Model position="0,0,0" scale=2 mesh="cube.mesh" />
-          </attached>
-          <collisionShapes>
-            <BoxCollisionShape halfExtents="2, 2, 2" />
-          </collisionShapes>
-        </MovableEntity>
-    <?lua
-        end
-      end
-    end
-    ?>
-
-    <ParticleSpawner position="-100,170,30" source="Orxonox/BigExplosion1part3" lifetime=2.0 loop=0 autostart=0>
-      <events>
-        <spawn>
-          <EventTrigger delay=1>
-            <events>
-              <trigger>
-                <SpawnPoint position="-100,170,30" spawnclass=SpaceShip pawndesign=spaceshipassff />
-              </trigger>
-            </events>
-          </EventTrigger>
-        </spawn>
-      </events>
-    </ParticleSpawner>
-  </Scene>
-</Level>
Index: code/trunk/data/levels/old/princessAeryn.oxw
===================================================================
--- code/trunk/data/levels/old/princessAeryn.oxw	(revision 7679)
+++ code/trunk/data/levels/old/princessAeryn.oxw	(revision 7679)
@@ -0,0 +1,312 @@
+<?lua
+  include("HUDTemplates3.oxo")
+  include("stats.oxo")
+  include("templates/spaceshipAssff.oxt")
+?>
+
+<?lua
+    dofile("includes/CuboidSpaceStation.lua")
+?>
+
+<Level
+ name         = "The Tale of Princess Aeryn"
+ description  = "The Tale of Princess Aeryn"
+>
+    <Scene
+        ambientlight = "0.3, 0.3, 0.3"
+        skybox       = "Orxonox/skypanoramagen1"
+    >
+
+        <Script code="showGUI NotificationLayer false true" needsGraphics="true" />
+
+      <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+
+        <Template name=turboitem baseclass=Turbo>
+          <Turbo
+            playerclass=SpaceShip
+            duration=15
+          />
+        </Template>
+
+        <ParticleSpawner position="200,0,-500" source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
+          <events>
+            <spawn>
+              <PickupSpawner position="200,0,-500" distance=50 respawntimer=25 item=turboitem>
+                <attached>
+                  <Model mesh="sphere.mesh" scale=3 />
+                  <Billboard material="Examples/Flare" colour="0.5, 1.0, 0.3" scale=0.5 />
+                </attached>
+              </PickupSpawner>
+            </spawn>
+          </events>
+        </ParticleSpawner>
+
+        <Template name=turboequipment baseclass=Turbo>
+          <Turbo
+            playerclass=SpaceShip
+            duration=0
+          />
+        </Template>
+
+        <ParticleSpawner position="400,0,-1000" source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
+          <events>
+            <spawn>
+              <PickupSpawner position="400,0,-1000" distance=50 respawntimer=25 item=turboequipment>
+                <attached>
+                  <Model mesh="sphere.mesh" scale=3 />
+                  <Billboard material="Examples/Flare" colour="1.0, 0.5, 0.3" scale=0.5 />
+                </attached>
+              </PickupSpawner>
+            </spawn>
+          </events>
+        </ParticleSpawner>
+
+        <!-- Quest: -->
+        <GlobalQuest id="b80c2c60-e62c-4637-80f8-5aa18dc93b34">
+            <QuestDescription title="The Tale of Princess Aeryn" description="Princess Aeryn has been kidnapped by evil Mr. M and you were just a little too late to save her.\nYou have to find and save her from her captors." failMessage="You cannot fail, how did you?" completeMessage="You did it John. You're a hero. Princess Aeryn however will still not marry you." />
+            <subquests>
+                <GlobalQuest id="43766602-7e2f-4d24-976a-3f9de1474d5b">
+                    <QuestDescription title="Find Aeryn's S.H.O.E.S." description="Oh, the kidnappers must have been in a hurry because they overlooked princess Aeryns S.H.O.E.S. (Super Heavily Organized Escape Ship) hidden in the asteroid field over there.\nFind it and look there for clues to Princess Aeryns whereabouts." completeMessage="You did it, Looking through her stuff you find an odd looking device - Could this be the receiver of Princess Aeryns locator beacon? - But it must be broken, the screen remains blank." />
+                    <complete-effects>
+                        <AddQuest questId="50845552-c8af-4091-947c-76bd850b224e" />
+                    </complete-effects>
+                </GlobalQuest>
+                <GlobalQuest id="50845552-c8af-4091-947c-76bd850b224e">
+                    <QuestDescription title="Repair the receiver." description="There is a space station called 'Serenity Station' near here. An engineer called Nathan Stark who shoud be able to help you lives there." completeMessage="'Yeah Nathan lives here, he'll shurely help you.'\nAnd he does, apparenty the device was just low on batteries so you're now able to locate your beloved Princess Aeryn." />
+                    <hints>
+                        <QuestHint id="b9b10841-b045-4797-b1d3-cfce760e1de6">
+                            <QuestDescription title="The Katratzi Station" description="'We ain't buying!'\n'What do you want?'\n'No there lives no Nathan here.'\n'Fuck off.''" />
+                        </QuestHint>
+                        <QuestHint id="1ee785f8-b71d-4b51-b080-42cec5be8e3c">
+                            <QuestDescription title="The Pegasus Station" description="'Hello friend.'\n'How can we help you?'\n'A Mr. Stark you say? Sorry no man with such a name lives here.'" />
+                        </QuestHint>
+                    </hints>
+                    <complete-effects>
+                        <AddQuest questId="97628524-b243-492c-b7b6-498f325b21d4" />
+                    </complete-effects>
+                </GlobalQuest>
+                <GlobalQuest id="97628524-b243-492c-b7b6-498f325b21d4">
+                    <QuestDescription title="Follow the dots" description="Just follow the dots, they'll lead you right to her." completeMessage="You found Princess Aeryn. Her captors give up at the shere sight ou you." />
+                    <complete-effects>
+                        <CompleteQuest questId="b80c2c60-e62c-4637-80f8-5aa18dc93b34" />
+                    </complete-effects>
+                </GlobalQuest>
+            </subquests>
+        </GlobalQuest>
+
+        <!-- Create spaceship spawner: -->
+        <ParticleSpawner position="0,0,100" source="Orxonox/BigExplosion1part3" lifetime=2.0 loop=0 autostart=0>
+          <events>
+            <spawn>
+              <EventTrigger delay=1>
+                <events>
+                  <trigger>
+                    <SpawnPoint position="0,0,100" spawnclass=SpaceShip pawndesign=spaceshipassff />
+                  </trigger>
+                </events>
+              </EventTrigger>
+            </spawn>
+          </events>
+          <attached>
+            <QuestEffectBeacon position="0,0,0" times=1>
+                <effects>
+                    <AddQuest questId="b80c2c60-e62c-4637-80f8-5aa18dc93b34" />
+                    <AddQuest questId="43766602-7e2f-4d24-976a-3f9de1474d5b" />
+                </effects>
+                <events>
+                    <execute>
+                        <EventListener event=questbeacon1 />
+                    </execute>
+                </events>
+                <attached>
+                    <DistanceTrigger name=questbeacon1 position="0,0,0" distance=10 target="ControllableEntity" />
+                </attached>
+            </QuestEffectBeacon>
+          </attached>
+        </ParticleSpawner>
+
+        <!-- Create world -->
+
+            <!-- Kidnapper flying away -->
+            <MovableEntity position="200,0,0" velocity="-140,0,-140" yaw=45>
+                <attached>
+                    <Model position="0,0,0" scale=4 yaw=180 pitch=-90 roll=-90 mesh="pirate.mesh" />
+                    <ParticleSpawner position="0,0,10" source="Orxonox/fire3" lifetime=2.0 loop=0 autostart=1 />
+                    <QuestEffectBeacon position="0,0,0" times=1 active=false name=trail >
+                        <effects>
+                            <CompleteQuest questId="b80c2c60-e62c-4637-80f8-5aa18dc93b34" />
+                        </effects>
+                        <events>
+                            <execute>
+                                <EventListener event=questbeacon7 />
+                            </execute>
+                        </events>
+                        <attached>
+                            <DistanceTrigger name=questbeacon7 position="0,0,0" distance=10 target="ControllableEntity" />
+                        </attached>
+                    </QuestEffectBeacon>
+                </attached>
+            </MovableEntity>
+
+            <!-- Asteroid field -->
+            <StaticEntity position="-500,0,-3000">
+                <attached>
+                    <?lua
+                        for i = 1, 200
+                        do ?>
+                        <MovableEntity position="<?lua print(math.random() * 2000 - 1000)?>, <?lua print(math.random() * 2000 - 1000) ?>, <?lua print(math.random() * 2000 - 1000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.abs(math.random() * 30 -10)) ?>">
+                            <attached>
+                                <Model scale="<?lua print(math.random() * 50) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
+                            </attached>
+                        </MovableEntity>
+                    <?lua
+                        end
+                    ?>
+                    <!-- S.H.O.E.S -->
+                    <StaticEntity position="-300,0,0">
+                        <attached>
+                            <Model position="0,0,0" scale=4 yaw=180 pitch=-90 roll=-90 mesh="assff.mesh" />
+                            <QuestEffectBeacon position="0,0,0" times=-1>
+                                <effects>
+                                    <CompleteQuest questId="43766602-7e2f-4d24-976a-3f9de1474d5b" />
+                                </effects>
+                                <events>
+                                    <execute>
+                                        <EventListener event=questbeacon2 />
+                                    </execute>
+                                </events>
+                                <attached>
+                                    <DistanceTrigger name=questbeacon2 position="0,0,0" distance=50 target="ControllableEntity" />
+                                </attached>
+                            </QuestEffectBeacon>
+                        </attached>
+                    </StaticEntity>
+                </attached>
+            </StaticEntity>
+
+
+
+            <!-- Spacestations -->
+
+            <!-- Serenity Station -->
+            <StaticEntity scale=1 position="0,0,5000" yaw=30>
+                <attached>
+                    <?lua
+                        createSpaceStationPar(65461,2,1,2,1,2,1,100)
+                    ?>
+                    <QuestEffectBeacon position="0,450,0" times=1>
+                        <effects>
+                            <CompleteQuest questId="50845552-c8af-4091-947c-76bd850b224e" />
+                        </effects>
+                        <events>
+                            <execute>
+                                <EventListener event=questbeacon3 />
+                            </execute>
+                        </events>
+                        <attached>
+                            <Billboard position="0,0,0" colour="1.0,1.0,0" material="Examples/Flare" />
+                            <DistanceTrigger name=questbeacon3 position="0,0,0" distance=100 target="ControllableEntity" />
+                        </attached>
+                    </QuestEffectBeacon>
+                </attached>
+            </StaticEntity>
+
+            <!-- Katratzi Station -->
+            <StaticEntity scale=1 position="0,5000,300" yaw=60>
+                <attached>
+                    <?lua
+                        createSpaceStationPar(9851,2,1,2,1,2,1,100)
+                    ?>
+                    <QuestEffectBeacon position="0,450,0" times=1>
+                        <effects>
+                            <AddQuestHint hintId="b9b10841-b045-4797-b1d3-cfce760e1de6" />
+                        </effects>
+                        <events>
+                            <execute>
+                                <EventListener event=questbeacon4 />
+                            </execute>
+                        </events>
+                        <attached>
+                            <Billboard position="0,0,0" colour="1.0,1.0,0" material="Examples/Flare" />
+                            <DistanceTrigger name=questbeacon4 position="0,0,0" distance=100 target="ControllableEntity" />
+                        </attached>
+                    </QuestEffectBeacon>
+                </attached>
+            </StaticEntity>
+
+            <!-- Pegasus Station -->
+            <StaticEntity scale=1 position="-5000,100,1000" roll=30>
+                <attached>
+                    <?lua
+                        createSpaceStationPar(3574,2,1,2,1,2,1,100)
+                    ?>
+                    <QuestEffectBeacon position="200,450,0" times=1>
+                        <effects>
+                            <AddQuestHint hintId="1ee785f8-b71d-4b51-b080-42cec5be8e3c" />
+                        </effects>
+                        <events>
+                            <execute>
+                                <EventListener event=questbeacon5 />
+                            </execute>
+                        </events>
+                        <attached>
+                            <Billboard position="0,0,0" colour="1.0,1.0,0" material="Examples/Flare" />
+                            <DistanceTrigger name=questbeacon5 position="0,0,0" distance=100 target="ControllableEntity" />
+                        </attached>
+                    </QuestEffectBeacon>
+                </attached>
+            </StaticEntity>
+
+            <!-- Trail -->
+            <EventDispatcher>
+                <targets>
+                    <EventTarget target=trail />
+                </targets>
+                <events>
+                    <visibility>
+                        <QuestListener questId="50845552-c8af-4091-947c-76bd850b224e" mode="complete" />
+                    </visibility>
+                    <activity>
+                        <QuestListener questId="50845552-c8af-4091-947c-76bd850b224e" mode="complete" />
+                    </activity>
+                </events>
+            </EventDispatcher>
+
+            <?lua
+                for i = 1, 25
+                do
+            ?>
+                <Billboard position="<?lua print(i*5000/25) ?>,<?lua print(450+i*(5000-450)/25) ?>,5000" colour="1.0,0,0" material="Examples/Flare" name=trail visible=false/>
+            <?lua
+                end
+            ?>
+
+            <!-- Hideout -->
+            <StaticEntity position="5000,5000,5000" >
+                <attached>
+                    <Model scale="100" mesh="ast2.mesh" shadow=false />
+                </attached>
+            </StaticEntity>
+
+            <StaticEntity position="5400,5400,5000" visible=false name=trail >
+                <attached>
+                    <Model position="0,0,0" scale=4 yaw=180 pitch=-90 roll=-90 mesh="pirate.mesh" visible=false name=trail />
+                    <QuestEffectBeacon position="0,0,0" times=1 active=false name=trail >
+                        <effects>
+                            <CompleteQuest questId="97628524-b243-492c-b7b6-498f325b21d4" />
+                        </effects>
+                        <events>
+                            <execute>
+                                <EventListener event=questbeacon6 />
+                            </execute>
+                        </events>
+                        <attached>
+                            <DistanceTrigger name=questbeacon6 position="0,0,0" distance=100 target="ControllableEntity" />
+                        </attached>
+                    </QuestEffectBeacon>
+                </attached>
+            </StaticEntity>
+
+    </Scene>
+</Level>
+
Index: code/trunk/data/levels/old/princessaeryn.oxw
===================================================================
--- code/trunk/data/levels/old/princessaeryn.oxw	(revision 7463)
+++ 	(revision )
@@ -1,312 +1,0 @@
-<?lua
-  include("hudtemplates3.oxo")
-  include("stats.oxo")
-  include("templates/spaceship_assff.oxt")
-?>
-
-<?lua
-    dofile("includes/CuboidSpaceStation.lua")
-?>
-
-<Level
- name         = "The Tale of Princess Aeryn"
- description  = "The Tale of Princess Aeryn"
->
-    <Scene
-        ambientlight = "0.3, 0.3, 0.3"
-        skybox       = "Orxonox/skypanoramagen1"
-    >
-
-        <Script code="showGUI NotificationLayer false true" needsGraphics="true" />
-
-      <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
-
-        <Template name=turboitem baseclass=Turbo>
-          <Turbo
-            playerclass=SpaceShip
-            duration=15
-          />
-        </Template>
-
-        <ParticleSpawner position="200,0,-500" source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
-          <events>
-            <spawn>
-              <PickupSpawner position="200,0,-500" distance=50 respawntimer=25 item=turboitem>
-                <attached>
-                  <Model mesh="sphere.mesh" scale=3 />
-                  <Billboard material="Examples/Flare" colour="0.5, 1.0, 0.3" scale=0.5 />
-                </attached>
-              </PickupSpawner>
-            </spawn>
-          </events>
-        </ParticleSpawner>
-
-        <Template name=turboequipment baseclass=Turbo>
-          <Turbo
-            playerclass=SpaceShip
-            duration=0
-          />
-        </Template>
-
-        <ParticleSpawner position="400,0,-1000" source="Orxonox/BigExplosion1part1" lifetime=2.0 loop=0 autostart=0>
-          <events>
-            <spawn>
-              <PickupSpawner position="400,0,-1000" distance=50 respawntimer=25 item=turboequipment>
-                <attached>
-                  <Model mesh="sphere.mesh" scale=3 />
-                  <Billboard material="Examples/Flare" colour="1.0, 0.5, 0.3" scale=0.5 />
-                </attached>
-              </PickupSpawner>
-            </spawn>
-          </events>
-        </ParticleSpawner>
-
-        <!-- Quest: -->
-        <GlobalQuest id="b80c2c60-e62c-4637-80f8-5aa18dc93b34">
-            <QuestDescription title="The Tale of Princess Aeryn" description="Princess Aeryn has been kidnapped by evil Mr. M and you were just a little too late to save her.\nYou have to find and save her from her captors." failMessage="You cannot fail, how did you?" completeMessage="You did it John. You're a hero. Princess Aeryn however will still not marry you." />
-            <subquests>
-                <GlobalQuest id="43766602-7e2f-4d24-976a-3f9de1474d5b">
-                    <QuestDescription title="Find Aeryn's S.H.O.E.S." description="Oh, the kidnappers must have been in a hurry because they overlooked princess Aeryns S.H.O.E.S. (Super Heavily Organized Escape Ship) hidden in the asteroid field over there.\nFind it and look there for clues to Princess Aeryns whereabouts." completeMessage="You did it, Looking through her stuff you find an odd looking device - Could this be the receiver of Princess Aeryns locator beacon? - But it must be broken, the screen remains blank." />
-                    <complete-effects>
-                        <AddQuest questId="50845552-c8af-4091-947c-76bd850b224e" />
-                    </complete-effects>
-                </GlobalQuest>
-                <GlobalQuest id="50845552-c8af-4091-947c-76bd850b224e">
-                    <QuestDescription title="Repair the receiver." description="There is a space station called 'Serenity Station' near here. An engineer called Nathan Stark who shoud be able to help you lives there." completeMessage="'Yeah Nathan lives here, he'll shurely help you.'\nAnd he does, apparenty the device was just low on batteries so you're now able to locate your beloved Princess Aeryn." />
-                    <hints>
-                        <QuestHint id="b9b10841-b045-4797-b1d3-cfce760e1de6">
-                            <QuestDescription title="The Katratzi Station" description="'We ain't buying!'\n'What do you want?'\n'No there lives no Nathan here.'\n'Fuck off.''" />
-                        </QuestHint>
-                        <QuestHint id="1ee785f8-b71d-4b51-b080-42cec5be8e3c">
-                            <QuestDescription title="The Pegasus Station" description="'Hello friend.'\n'How can we help you?'\n'A Mr. Stark you say? Sorry no man with such a name lives here.'" />
-                        </QuestHint>
-                    </hints>
-                    <complete-effects>
-                        <AddQuest questId="97628524-b243-492c-b7b6-498f325b21d4" />
-                    </complete-effects>
-                </GlobalQuest>
-                <GlobalQuest id="97628524-b243-492c-b7b6-498f325b21d4">
-                    <QuestDescription title="Follow the dots" description="Just follow the dots, they'll lead you right to her." completeMessage="You found Princess Aeryn. Her captors give up at the shere sight ou you." />
-                    <complete-effects>
-                        <CompleteQuest questId="b80c2c60-e62c-4637-80f8-5aa18dc93b34" />
-                    </complete-effects>
-                </GlobalQuest>
-            </subquests>
-        </GlobalQuest>
-
-        <!-- Create spaceship spawner: -->
-        <ParticleSpawner position="0,0,100" source="Orxonox/BigExplosion1part3" lifetime=2.0 loop=0 autostart=0>
-          <events>
-            <spawn>
-              <EventTrigger delay=1>
-                <events>
-                  <trigger>
-                    <SpawnPoint position="0,0,100" spawnclass=SpaceShip pawndesign=spaceshipassff />
-                  </trigger>
-                </events>
-              </EventTrigger>
-            </spawn>
-          </events>
-          <attached>
-            <QuestEffectBeacon position="0,0,0" times=1>
-                <effects>
-                    <AddQuest questId="b80c2c60-e62c-4637-80f8-5aa18dc93b34" />
-                    <AddQuest questId="43766602-7e2f-4d24-976a-3f9de1474d5b" />
-                </effects>
-                <events>
-                    <execute>
-                        <EventListener event=questbeacon1 />
-                    </execute>
-                </events>
-                <attached>
-                    <DistanceTrigger name=questbeacon1 position="0,0,0" distance=10 target="ControllableEntity" />
-                </attached>
-            </QuestEffectBeacon>
-          </attached>
-        </ParticleSpawner>
-
-        <!-- Create world -->
-
-            <!-- Kidnapper flying away -->
-            <MovableEntity position="200,0,0" velocity="-140,0,-140" yaw=45>
-                <attached>
-                    <Model position="0,0,0" scale=4 yaw=180 pitch=-90 roll=-90 mesh="pirate.mesh" />
-                    <ParticleSpawner position="0,0,10" source="Orxonox/fire3" lifetime=2.0 loop=0 autostart=1 />
-                    <QuestEffectBeacon position="0,0,0" times=1 active=false name=trail >
-                        <effects>
-                            <CompleteQuest questId="b80c2c60-e62c-4637-80f8-5aa18dc93b34" />
-                        </effects>
-                        <events>
-                            <execute>
-                                <EventListener event=questbeacon7 />
-                            </execute>
-                        </events>
-                        <attached>
-                            <DistanceTrigger name=questbeacon7 position="0,0,0" distance=10 target="ControllableEntity" />
-                        </attached>
-                    </QuestEffectBeacon>
-                </attached>
-            </MovableEntity>
-
-            <!-- Asteroid field -->
-            <StaticEntity position="-500,0,-3000">
-                <attached>
-                    <?lua
-                        for i = 1, 200
-                        do ?>
-                        <MovableEntity position="<?lua print(math.random() * 2000 - 1000)?>, <?lua print(math.random() * 2000 - 1000) ?>, <?lua print(math.random() * 2000 - 1000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.abs(math.random() * 30 -10)) ?>">
-                            <attached>
-                                <Model scale="<?lua print(math.random() * 50) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
-                            </attached>
-                        </MovableEntity>
-                    <?lua
-                        end
-                    ?>
-                    <!-- S.H.O.E.S -->
-                    <StaticEntity position="-300,0,0">
-                        <attached>
-                            <Model position="0,0,0" scale=4 yaw=180 pitch=-90 roll=-90 mesh="assff.mesh" />
-                            <QuestEffectBeacon position="0,0,0" times=-1>
-                                <effects>
-                                    <CompleteQuest questId="43766602-7e2f-4d24-976a-3f9de1474d5b" />
-                                </effects>
-                                <events>
-                                    <execute>
-                                        <EventListener event=questbeacon2 />
-                                    </execute>
-                                </events>
-                                <attached>
-                                    <DistanceTrigger name=questbeacon2 position="0,0,0" distance=50 target="ControllableEntity" />
-                                </attached>
-                            </QuestEffectBeacon>
-                        </attached>
-                    </StaticEntity>
-                </attached>
-            </StaticEntity>
-
-
-
-            <!-- Spacestations -->
-
-            <!-- Serenity Station -->
-            <StaticEntity scale=1 position="0,0,5000" yaw=30>
-                <attached>
-                    <?lua
-                        createSpaceStationPar(65461,2,1,2,1,2,1,100)
-                    ?>
-                    <QuestEffectBeacon position="0,450,0" times=1>
-                        <effects>
-                            <CompleteQuest questId="50845552-c8af-4091-947c-76bd850b224e" />
-                        </effects>
-                        <events>
-                            <execute>
-                                <EventListener event=questbeacon3 />
-                            </execute>
-                        </events>
-                        <attached>
-                            <Billboard position="0,0,0" colour="1.0,1.0,0" material="Examples/Flare" />
-                            <DistanceTrigger name=questbeacon3 position="0,0,0" distance=100 target="ControllableEntity" />
-                        </attached>
-                    </QuestEffectBeacon>
-                </attached>
-            </StaticEntity>
-
-            <!-- Katratzi Station -->
-            <StaticEntity scale=1 position="0,5000,300" yaw=60>
-                <attached>
-                    <?lua
-                        createSpaceStationPar(9851,2,1,2,1,2,1,100)
-                    ?>
-                    <QuestEffectBeacon position="0,450,0" times=1>
-                        <effects>
-                            <AddQuestHint hintId="b9b10841-b045-4797-b1d3-cfce760e1de6" />
-                        </effects>
-                        <events>
-                            <execute>
-                                <EventListener event=questbeacon4 />
-                            </execute>
-                        </events>
-                        <attached>
-                            <Billboard position="0,0,0" colour="1.0,1.0,0" material="Examples/Flare" />
-                            <DistanceTrigger name=questbeacon4 position="0,0,0" distance=100 target="ControllableEntity" />
-                        </attached>
-                    </QuestEffectBeacon>
-                </attached>
-            </StaticEntity>
-
-            <!-- Pegasus Station -->
-            <StaticEntity scale=1 position="-5000,100,1000" roll=30>
-                <attached>
-                    <?lua
-                        createSpaceStationPar(3574,2,1,2,1,2,1,100)
-                    ?>
-                    <QuestEffectBeacon position="200,450,0" times=1>
-                        <effects>
-                            <AddQuestHint hintId="1ee785f8-b71d-4b51-b080-42cec5be8e3c" />
-                        </effects>
-                        <events>
-                            <execute>
-                                <EventListener event=questbeacon5 />
-                            </execute>
-                        </events>
-                        <attached>
-                            <Billboard position="0,0,0" colour="1.0,1.0,0" material="Examples/Flare" />
-                            <DistanceTrigger name=questbeacon5 position="0,0,0" distance=100 target="ControllableEntity" />
-                        </attached>
-                    </QuestEffectBeacon>
-                </attached>
-            </StaticEntity>
-
-            <!-- Trail -->
-            <EventDispatcher>
-                <targets>
-                    <EventTarget target=trail />
-                </targets>
-                <events>
-                    <visibility>
-                        <QuestListener questId="50845552-c8af-4091-947c-76bd850b224e" mode="complete" />
-                    </visibility>
-                    <activity>
-                        <QuestListener questId="50845552-c8af-4091-947c-76bd850b224e" mode="complete" />
-                    </activity>
-                </events>
-            </EventDispatcher>
-
-            <?lua
-                for i = 1, 25
-                do
-            ?>
-                <Billboard position="<?lua print(i*5000/25) ?>,<?lua print(450+i*(5000-450)/25) ?>,5000" colour="1.0,0,0" material="Examples/Flare" name=trail visible=false/>
-            <?lua
-                end
-            ?>
-
-            <!-- Hideout -->
-            <StaticEntity position="5000,5000,5000" >
-                <attached>
-                    <Model scale="100" mesh="ast2.mesh" shadow=false />
-                </attached>
-            </StaticEntity>
-
-            <StaticEntity position="5400,5400,5000" visible=false name=trail >
-                <attached>
-                    <Model position="0,0,0" scale=4 yaw=180 pitch=-90 roll=-90 mesh="pirate.mesh" visible=false name=trail />
-                    <QuestEffectBeacon position="0,0,0" times=1 active=false name=trail >
-                        <effects>
-                            <CompleteQuest questId="97628524-b243-492c-b7b6-498f325b21d4" />
-                        </effects>
-                        <events>
-                            <execute>
-                                <EventListener event=questbeacon6 />
-                            </execute>
-                        </events>
-                        <attached>
-                            <DistanceTrigger name=questbeacon6 position="0,0,0" distance=100 target="ControllableEntity" />
-                        </attached>
-                    </QuestEffectBeacon>
-                </attached>
-            </StaticEntity>
-
-    </Scene>
-</Level>
-
Index: code/trunk/data/levels/old/questSystem.oxw
===================================================================
--- code/trunk/data/levels/old/questSystem.oxw	(revision 7679)
+++ code/trunk/data/levels/old/questSystem.oxw	(revision 7679)
@@ -0,0 +1,111 @@
+<?lua
+  include("HUDTemplates3.oxo")
+  include("stats.oxo")
+  include("templates/spaceshipAssff.oxt")
+?>
+
+<Level
+ name         = "Questsystem"
+ description  = "Just a few tests"
+>
+    <Scene
+    ambientlight = "0.5, 0.5, 0.5"
+    skybox       = "Orxonox/Starbox"
+    >
+
+        <Script code="showGUI NotificationLayer false true" needsGraphics="true" />
+
+        <GlobalQuest id="b80c2c60-e62c-4637-80f8-5aa18dc93b34">
+            <QuestDescription title="The Main QUest" description="This is the main quest hooray. Solve it!" failMessage="You fail. Looser." completeMessage="You Win." />
+            <hints>
+                <QuestHint id="022a859d-08dd-4eac-a085-c28c29c06d48">
+                    <QuestDescription title="The super Hint." description="Be proud of yourself." />
+                </QuestHint>
+            </hints>
+        </GlobalQuest>
+
+        <ParticleSpawner position="0,0,100" source="Orxonox/BigExplosion1part3" lifetime=2.0 loop=0 autostart=0>
+            <events>
+                <spawn>
+                    <EventTrigger delay=1>
+                        <events>
+                            <trigger>
+                                <SpawnPoint position="0,0,100" spawnclass=SpaceShip pawndesign=spaceshipassff />
+                            </trigger>
+                        </events>
+                    </EventTrigger>
+                </spawn>
+            </events>
+        </ParticleSpawner>
+
+        <QuestEffectBeacon position="0,0,100" times=-1>
+            <effects>
+                <AddQuest questId="b80c2c60-e62c-4637-80f8-5aa18dc93b34" />
+            </effects>
+            <events>
+                <execute>
+                    <EventListener event=qebdt1 />
+                </execute>
+            </events>
+            <attached>
+                <Billboard position="0,0,0" colour="1.0,1.0,1.0" material="Examples/Flare" />
+                <DistanceTrigger name=qebdt1 position="0,0,0" distance=10 target="ControllableEntity" />
+            </attached>
+        </QuestEffectBeacon>
+
+        <QuestEffectBeacon position="-100,0,0" times=-1>
+            <effects>
+                <FailQuest questId="b80c2c60-e62c-4637-80f8-5aa18dc93b34" />
+            </effects>
+            <events>
+                <execute>
+                    <EventListener event=qebdt2 />
+                </execute>
+            </events>
+            <attached>
+                <Billboard position="0,0,0" colour="1.0,0,0" material="Examples/Flare" />
+                <DistanceTrigger name=qebdt2 position="0,0,0" distance=10 target="ControllableEntity" />
+            </attached>
+        </QuestEffectBeacon>
+
+        <QuestEffectBeacon position="100,0,0" times=-1>
+            <effects>
+                <CompleteQuest questId="b80c2c60-e62c-4637-80f8-5aa18dc93b34" />
+            </effects>
+            <events>
+                <execute>
+                    <EventListener event=qebdt3 />
+                </execute>
+            </events>
+            <attached>
+                <Billboard position="0,0,0" colour="0,1.0,0" material="Examples/Flare" />
+                <DistanceTrigger name=qebdt3 position="0,0,0" distance=10 target="ControllableEntity" />
+            </attached>
+        </QuestEffectBeacon>
+
+        <QuestEffectBeacon position="0,100,0" times=-1>
+            <effects>
+                <AddQuestHint hintId="022a859d-08dd-4eac-a085-c28c29c06d48" />
+            </effects>
+            <events>
+                <execute>
+                    <EventListener event=qebdt4 />
+                </execute>
+            </events>
+            <attached>
+                <Billboard position="0,0,0" colour="0,0,1.0" material="Examples/Flare" />
+                <DistanceTrigger name=qebdt4 position="0,0,0" distance=10 target="ControllableEntity" />
+            </attached>
+        </QuestEffectBeacon>
+
+        <ParticleEmitter name=firecenter position="0,0,0" source="Orxonox/fire3" active=false>
+            <events>
+                <activity>
+                    <QuestListener questId="b80c2c60-e62c-4637-80f8-5aa18dc93b34" mode="complete" />
+                </activity>
+            </events>
+        </ParticleEmitter>
+
+    </Scene>
+</Level>
+
Index: code/trunk/data/levels/old/questsystem.oxw
===================================================================
--- code/trunk/data/levels/old/questsystem.oxw	(revision 7463)
+++ 	(revision )
@@ -1,111 +1,0 @@
-<?lua
-  include("hudtemplates3.oxo")
-  include("stats.oxo")
-  include("templates/spaceship_assff.oxt")
-?>
-
-<Level
- name         = "Questsystem"
- description  = "Just a few tests"
->
-    <Scene
-    ambientlight = "0.5, 0.5, 0.5"
-    skybox       = "Orxonox/Starbox"
-    >
-
-        <Script code="showGUI NotificationLayer false true" needsGraphics="true" />
-
-        <GlobalQuest id="b80c2c60-e62c-4637-80f8-5aa18dc93b34">
-            <QuestDescription title="The Main QUest" description="This is the main quest hooray. Solve it!" failMessage="You fail. Looser." completeMessage="You Win." />
-            <hints>
-                <QuestHint id="022a859d-08dd-4eac-a085-c28c29c06d48">
-                    <QuestDescription title="The super Hint." description="Be proud of yourself." />
-                </QuestHint>
-            </hints>
-        </GlobalQuest>
-
-        <ParticleSpawner position="0,0,100" source="Orxonox/BigExplosion1part3" lifetime=2.0 loop=0 autostart=0>
-            <events>
-                <spawn>
-                    <EventTrigger delay=1>
-                        <events>
-                            <trigger>
-                                <SpawnPoint position="0,0,100" spawnclass=SpaceShip pawndesign=spaceshipassff />
-                            </trigger>
-                        </events>
-                    </EventTrigger>
-                </spawn>
-            </events>
-        </ParticleSpawner>
-
-        <QuestEffectBeacon position="0,0,100" times=-1>
-            <effects>
-                <AddQuest questId="b80c2c60-e62c-4637-80f8-5aa18dc93b34" />
-            </effects>
-            <events>
-                <execute>
-                    <EventListener event=qebdt1 />
-                </execute>
-            </events>
-            <attached>
-                <Billboard position="0,0,0" colour="1.0,1.0,1.0" material="Examples/Flare" />
-                <DistanceTrigger name=qebdt1 position="0,0,0" distance=10 target="ControllableEntity" />
-            </attached>
-        </QuestEffectBeacon>
-
-        <QuestEffectBeacon position="-100,0,0" times=-1>
-            <effects>
-                <FailQuest questId="b80c2c60-e62c-4637-80f8-5aa18dc93b34" />
-            </effects>
-            <events>
-                <execute>
-                    <EventListener event=qebdt2 />
-                </execute>
-            </events>
-            <attached>
-                <Billboard position="0,0,0" colour="1.0,0,0" material="Examples/Flare" />
-                <DistanceTrigger name=qebdt2 position="0,0,0" distance=10 target="ControllableEntity" />
-            </attached>
-        </QuestEffectBeacon>
-
-        <QuestEffectBeacon position="100,0,0" times=-1>
-            <effects>
-                <CompleteQuest questId="b80c2c60-e62c-4637-80f8-5aa18dc93b34" />
-            </effects>
-            <events>
-                <execute>
-                    <EventListener event=qebdt3 />
-                </execute>
-            </events>
-            <attached>
-                <Billboard position="0,0,0" colour="0,1.0,0" material="Examples/Flare" />
-                <DistanceTrigger name=qebdt3 position="0,0,0" distance=10 target="ControllableEntity" />
-            </attached>
-        </QuestEffectBeacon>
-
-        <QuestEffectBeacon position="0,100,0" times=-1>
-            <effects>
-                <AddQuestHint hintId="022a859d-08dd-4eac-a085-c28c29c06d48" />
-            </effects>
-            <events>
-                <execute>
-                    <EventListener event=qebdt4 />
-                </execute>
-            </events>
-            <attached>
-                <Billboard position="0,0,0" colour="0,0,1.0" material="Examples/Flare" />
-                <DistanceTrigger name=qebdt4 position="0,0,0" distance=10 target="ControllableEntity" />
-            </attached>
-        </QuestEffectBeacon>
-
-        <ParticleEmitter name=firecenter position="0,0,0" source="Orxonox/fire3" active=false>
-            <events>
-                <activity>
-                    <QuestListener questId="b80c2c60-e62c-4637-80f8-5aa18dc93b34" mode="complete" />
-                </activity>
-            </events>
-        </ParticleEmitter>
-
-    </Scene>
-</Level>
-
Index: code/trunk/data/levels/old/sample4.oxw
===================================================================
--- code/trunk/data/levels/old/sample4.oxw	(revision 7463)
+++ code/trunk/data/levels/old/sample4.oxw	(revision 7679)
@@ -1,8 +1,8 @@
 <?lua
-  include("hudtemplates3.oxo")
+  include("HUDTemplates3.oxo")
 ?>
 
 <?lua
-  include("templates/spaceship_assff.oxt")
+  include("templates/spaceshipAssff.oxt")
 ?>
 
Index: code/trunk/data/levels/old/spaceshipTemplatesPhysics.oxw
===================================================================
--- code/trunk/data/levels/old/spaceshipTemplatesPhysics.oxw	(revision 7679)
+++ code/trunk/data/levels/old/spaceshipTemplatesPhysics.oxw	(revision 7679)
@@ -0,0 +1,87 @@
+<Template name=spaceshipassff>
+  <SpaceShip
+   camerapositiontemplate = spaceshipassffcameras
+
+   health            = 100
+   maxhealth         = 200
+   initialhealth     = 100
+
+   primaryThrust     = 100;
+   auxilaryThrust    = 30;
+   rotationThrust    = 10;
+
+   collisionType     = "dynamic"
+   mass              = 100
+   linearDamping     = 0.7
+   angularDamping    = 0.999
+   name              = "blubbbeliblubb"
+  >
+    <attached>
+      <Model position="0,0,0" yaw=90 pitch=-90 roll=0 scale=4 mesh="assff.mesh" />
+      <!--Light position="0,0,20" diffuse="0,0,1" specular="0,0,1" type=point /-->
+      <BlinkingBillboard position="17,-1.5,0" material="Examples/Flare" colour="1.0, 0.5, 0.3" amplitude=0.1 frequency=0.5 quadratic=1 />
+      <BlinkingBillboard position="-17,-1.5,0" material="Examples/Flare" colour="0.5, 1.0, 0.3" amplitude=0.1 frequency=0.5 phase=180 quadratic=1 />
+      <!--ParticleEmitter position="0,0,-100" source="Orxonox/smoke5" /-->
+    </attached>
+    <collisionShapes>
+      <!--SphereCollisionShape position="0,0,0"      radius=20 /-->
+      <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
+      <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
+      <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
+      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
+      <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
+    </collisionShapes>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipassffcameras>
+  <SpaceShip>
+    <camerapositions>
+      <CameraPosition position="0,10,40" />
+      <CameraPosition position="0,150,-25" pitch=-90 />
+      <CameraPosition position="0,0,-30" yaw=180 />
+      <CameraPosition position="0,3,-14" yaw=0 />
+      <CameraPosition position="-50,5,-8" yaw=-90 />
+      <CameraPosition position="50,5,-8" yaw=90 />
+    </camerapositions>
+  </SpaceShip>
+</Template>
+
+<!--Template name=spaceshippirate>
+  <SpaceShip
+   health            = 100
+   maxhealth         = 200
+   initialhealth     = 100
+
+   maxspeed          = 250
+   maxsecondaryspeed = 50
+   maxrotation       = 100
+   transacc          = 200
+   rotacc            = 140
+   transdamp         = 75
+  >
+    <attached>
+      <Model position="0,-10,-45" yaw=90 pitch=-90 roll=0 scale=4 mesh="pirate.mesh" />
+    </attached>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipspacecruiser>
+  <SpaceShip
+   health            = 100
+   maxhealth         = 200
+   initialhealth     = 100
+
+   maxspeed          = 250
+   maxsecondaryspeed = 50
+   maxrotation       = 100
+   transacc          = 200
+   rotacc            = 140
+   transdamp         = 75
+  >
+    <attached>
+      <Model position="8,-30,-120" yaw=90 pitch=-90 roll=0 scale=4 mesh="spacecruiser.mesh" />
+    </attached>
+  </SpaceShip>
+</Template-->
Index: code/trunk/data/levels/old/spaceshiptemplates_physics.oxw
===================================================================
--- code/trunk/data/levels/old/spaceshiptemplates_physics.oxw	(revision 7463)
+++ 	(revision )
@@ -1,87 +1,0 @@
-<Template name=spaceshipassff>
-  <SpaceShip
-   camerapositiontemplate = spaceshipassffcameras
-
-   health            = 100
-   maxhealth         = 200
-   initialhealth     = 100
-
-   primaryThrust     = 100;
-   auxilaryThrust    = 30;
-   rotationThrust    = 10;
-
-   collisionType     = "dynamic"
-   mass              = 100
-   linearDamping     = 0.7
-   angularDamping    = 0.999
-   name              = "blubbbeliblubb"
-  >
-    <attached>
-      <Model position="0,0,0" yaw=90 pitch=-90 roll=0 scale=4 mesh="assff.mesh" />
-      <!--Light position="0,0,20" diffuse="0,0,1" specular="0,0,1" type=point /-->
-      <BlinkingBillboard position="17,-1.5,0" material="Examples/Flare" colour="1.0, 0.5, 0.3" amplitude=0.1 frequency=0.5 quadratic=1 />
-      <BlinkingBillboard position="-17,-1.5,0" material="Examples/Flare" colour="0.5, 1.0, 0.3" amplitude=0.1 frequency=0.5 phase=180 quadratic=1 />
-      <!--ParticleEmitter position="0,0,-100" source="Orxonox/smoke5" /-->
-    </attached>
-    <collisionShapes>
-      <!--SphereCollisionShape position="0,0,0"      radius=20 /-->
-      <BoxCollisionShape position="0,0,0"      halfExtents="10, 3, 5" />
-      <BoxCollisionShape position="13,-1.3,0"  halfExtents="3, 1, 2" />
-      <BoxCollisionShape position="-13,-1.3,0" halfExtents="3, 1, 2" />
-      <BoxCollisionShape position="0,0,7"      halfExtents="3, 2, 2" />
-      <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
-      <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
-    </collisionShapes>
-  </SpaceShip>
-</Template>
-
-<Template name=spaceshipassffcameras>
-  <SpaceShip>
-    <camerapositions>
-      <CameraPosition position="0,10,40" />
-      <CameraPosition position="0,150,-25" pitch=-90 />
-      <CameraPosition position="0,0,-30" yaw=180 />
-      <CameraPosition position="0,3,-14" yaw=0 />
-      <CameraPosition position="-50,5,-8" yaw=-90 />
-      <CameraPosition position="50,5,-8" yaw=90 />
-    </camerapositions>
-  </SpaceShip>
-</Template>
-
-<!--Template name=spaceshippirate>
-  <SpaceShip
-   health            = 100
-   maxhealth         = 200
-   initialhealth     = 100
-
-   maxspeed          = 250
-   maxsecondaryspeed = 50
-   maxrotation       = 100
-   transacc          = 200
-   rotacc            = 140
-   transdamp         = 75
-  >
-    <attached>
-      <Model position="0,-10,-45" yaw=90 pitch=-90 roll=0 scale=4 mesh="pirate.mesh" />
-    </attached>
-  </SpaceShip>
-</Template>
-
-<Template name=spaceshipspacecruiser>
-  <SpaceShip
-   health            = 100
-   maxhealth         = 200
-   initialhealth     = 100
-
-   maxspeed          = 250
-   maxsecondaryspeed = 50
-   maxrotation       = 100
-   transacc          = 200
-   rotacc            = 140
-   transdamp         = 75
-  >
-    <attached>
-      <Model position="8,-30,-120" yaw=90 pitch=-90 roll=0 scale=4 mesh="spacecruiser.mesh" />
-    </attached>
-  </SpaceShip>
-</Template-->
Index: code/trunk/data/levels/old/tutorialHS08.oxw
===================================================================
--- code/trunk/data/levels/old/tutorialHS08.oxw	(revision 7679)
+++ code/trunk/data/levels/old/tutorialHS08.oxw	(revision 7679)
@@ -0,0 +1,26 @@
+<Ambient colourvalue="0.8, 0.8, 0.8" />
+<Skybox src="Orxonox/Starbox" />
+
+<!-- This is your own space ship. The complicated XML values are not important -->
+<TutorialShip
+    camera="true" position="0,0,0" scale="10" yawpitchroll="0,0,0" mesh="assff.mesh" maxSpeed="500" maxSideAndBackSpeed="50" maxRotation="1.0" transAcc="200" rotAcc="3.0" transDamp="75" rotDamp="1.0"
+
+SpecialEffects="true"
+
+/>
+
+<!-- A few models flying around -->
+<Model position="2000,0,0" scale="10" mesh="tomato.mesh" yawpitchroll="-40,30,0" rotationAxis="1,0,0" rotationRate="-30"/>
+<Model position="0,2000,0" scale="10" mesh="tomato.mesh" yawpitchroll="-50,60,0" rotationAxis="1,0,0" rotationRate="-30"/>
+<Model position="0,0,2000" scale="10" mesh="tomato.mesh" yawpitchroll="-50,-30,0" rotationAxis="1,0,0" rotationRate="-30"/>
+<Model position="10000,16000,0" scale="100" mesh="DuBall1.mesh"/>
+<Model position="11400,16000,0" scale="60" mesh="DuBall2.mesh"/>
+
+<!-- Embedded lua code (creates random asteroids) -->
+<?lua
+for i = 1, 226, 1
+do ?>
+  <Model position="<?lua print(math.random() * 40000 - 20000)?>, <?lua print(math.random() * 40000 - 20000) ?>, <?lua print(math.random() * 40000 - 20000) ?>" scale="<?lua print(math.random() * 250 + 20) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" rotationAxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationRate="<?lua print(math.random() * 30 + 15) ?>" />
+<?lua
+end
+?>
Index: code/trunk/data/levels/old/tutorial_hs08.oxw
===================================================================
--- code/trunk/data/levels/old/tutorial_hs08.oxw	(revision 7463)
+++ 	(revision )
@@ -1,26 +1,0 @@
-<Ambient colourvalue="0.8, 0.8, 0.8" />
-<Skybox src="Orxonox/Starbox" />
-
-<!-- This is your own space ship. The complicated XML values are not important -->
-<TutorialShip
-    camera="true" position="0,0,0" scale="10" yawpitchroll="0,0,0" mesh="assff.mesh" maxSpeed="500" maxSideAndBackSpeed="50" maxRotation="1.0" transAcc="200" rotAcc="3.0" transDamp="75" rotDamp="1.0"
-
-SpecialEffects="true"
-
-/>
-
-<!-- A few models flying around -->
-<Model position="2000,0,0" scale="10" mesh="tomato.mesh" yawpitchroll="-40,30,0" rotationAxis="1,0,0" rotationRate="-30"/>
-<Model position="0,2000,0" scale="10" mesh="tomato.mesh" yawpitchroll="-50,60,0" rotationAxis="1,0,0" rotationRate="-30"/>
-<Model position="0,0,2000" scale="10" mesh="tomato.mesh" yawpitchroll="-50,-30,0" rotationAxis="1,0,0" rotationRate="-30"/>
-<Model position="10000,16000,0" scale="100" mesh="DuBall1.mesh"/>
-<Model position="11400,16000,0" scale="60" mesh="DuBall2.mesh"/>
-
-<!-- Embedded lua code (creates random asteroids) -->
-<?lua
-for i = 1, 226, 1
-do ?>
-  <Model position="<?lua print(math.random() * 40000 - 20000)?>, <?lua print(math.random() * 40000 - 20000) ?>, <?lua print(math.random() * 40000 - 20000) ?>" scale="<?lua print(math.random() * 250 + 20) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" rotationAxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationRate="<?lua print(math.random() * 30 + 15) ?>" />
-<?lua
-end
-?>
